Bug 71523 - De-virtualize JSObject::getOwnPropertyDescriptor
Summary: De-virtualize JSObject::getOwnPropertyDescriptor
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mark Hahnenberg
URL:
Keywords:
Depends on:
Blocks: 70960
  Show dependency treegraph
 
Reported: 2011-11-03 17:04 PDT by Mark Hahnenberg
Modified: 2011-11-09 13:09 PST (History)
4 users (show)

See Also:


Attachments
Patch (151.73 KB, patch)
2011-11-04 14:21 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Patch (151.76 KB, patch)
2011-11-04 14:37 PDT, Mark Hahnenberg
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hahnenberg 2011-11-03 17:04:35 PDT
We're de-virtualizing JSObject. defineOwnPropertyDescriptor is a virtual method in JSObject.  Thus, we need to de-virtualize defineOwnPropertyDescriptor.  We'll put it in the MethodTable.
Comment 1 Mark Hahnenberg 2011-11-04 14:21:12 PDT
Created attachment 113713 [details]
Patch
Comment 2 Mark Hahnenberg 2011-11-04 14:37:51 PDT
Created attachment 113716 [details]
Patch
Comment 3 Sam Weinig 2011-11-08 16:18:25 PST
Comment on attachment 113716 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=113716&action=review

> Source/JavaScriptCore/runtime/StringObject.h:33
> +        virtual ~StringObject();

We tend to use a dummy virtual function (called dummyVirtual()) to anchor instead of the destructor.

> Source/WebCore/bridge/runtime_method.h:40
> +    ~RuntimeMethod();

Same here.
Comment 4 Mark Hahnenberg 2011-11-09 13:09:55 PST
Committed r99754: <http://trac.webkit.org/changeset/99754>